@import "src/stylesheets/modules/colors";

.contextMenu {
    position: relative;
    display: inline-block;
    vertical-align: middle;
    
    &__toggler {
        display: block;
        padding: 0;
        width: 1.5rem;
        height: 1.5rem;
        line-height: 1.5rem;
        text-align: center;
        color: $color-text-normal;
    }
    
    &__menu {
        position: absolute;
        top: 100%;
        left: 0;
        background: white;
        padding: 0;
        box-shadow: 0 0.125rem 0.75rem rgba(0,0,0,0.15);
        z-index: 9999;

        &__item {
            list-style: none;
            
            a {
                display: block;
                white-space: nowrap;
                text-decoration: none;
                color: $color-text-normal;
                line-height: 2.5rem;
                padding: 0 1rem;

                &:hover {
                    background-color: lighten($color-main, 20%);
                }
            }

            &--checkable a {
                padding-left: 2.5rem;
            }

            &--checked a {
                background: {
                    image: url('/static/images/check-alt.svg');
                    repeat: no-repeat;
                    size: 1rem;
                    position: 0.75rem center;
                }
            }
        }
    }
}

.scale-transition {
    transition: transform 125ms;
    transform: scale(1);
    transform-origin: calc(100% - 0.5rem) 1rem;
}

.scale-enter, .scale-leave {
    transform: scale(0);
}

